| Flutter iOS Embedder |

Public Member Functions | List of all members
FLUTTER_ASSERT_ARC::CGPathReceiver Class Referencefinal
Inheritance diagram for FLUTTER_ASSERT_ARC::CGPathReceiver:

## Public Member Functions
void | SetPathInfo (flutter::DlPathFillType type, bool is_convex) override
void | MoveTo (const flutter::DlPoint &p2) override
void | LineTo (const flutter::DlPoint &p2) override
void | QuadTo (const flutter::DlPoint &cp, const flutter::DlPoint &p2) override
void | CubicTo (const flutter::DlPoint &cp1, const flutter::DlPoint &cp2, const flutter::DlPoint &p2) override
void | Close () override
CGMutablePathRef | TakePath ()

## Detailed Description

Definition at line 47 of file FlutterPlatformViews.mm.

## Member Function Documentation

## ◆ Close()

void FLUTTER_ASSERT_ARC::CGPathReceiver::Close | ( |  | ) |
| inlineoverride

Definition at line 70 of file FlutterPlatformViews.mm.

70 { CGPathCloseSubpath(path_ref_); }

## ◆ CubicTo()

void FLUTTER_ASSERT_ARC::CGPathReceiver::CubicTo | ( | const flutter::DlPoint & | cp1,
|  | const flutter::DlPoint & | cp2,
|  | const flutter::DlPoint & | p2
| ) |  |
| inlineoverride

Definition at line 64 of file FlutterPlatformViews.mm.

66 {
67 CGPathAddCurveToPoint(path_ref_, nil, //
68 cp1.x, cp1.y, cp2.x, cp2.y, p2.x, p2.y);
69 }

## ◆ LineTo()

void FLUTTER_ASSERT_ARC::CGPathReceiver::LineTo | ( | const flutter::DlPoint & | p2 | ) |
| inlineoverride

Definition at line 57 of file FlutterPlatformViews.mm.

57 {
58 CGPathAddLineToPoint(path_ref_, nil, p2.x, p2.y);
59 }

## ◆ MoveTo()

void FLUTTER_ASSERT_ARC::CGPathReceiver::MoveTo | ( | const flutter::DlPoint & | p2 | ) |
| inlineoverride

Definition at line 54 of file FlutterPlatformViews.mm.

54 { //
55 CGPathMoveToPoint(path_ref_, nil, p2.x, p2.y);
56 }

## ◆ QuadTo()

void FLUTTER_ASSERT_ARC::CGPathReceiver::QuadTo | ( | const flutter::DlPoint & | cp,
|  | const flutter::DlPoint & | p2
| ) |  |
| inlineoverride

Definition at line 60 of file FlutterPlatformViews.mm.

60 {
61 CGPathAddQuadCurveToPoint(path_ref_, nil, cp.x, cp.y, p2.x, p2.y);
62 }

## ◆ SetPathInfo()

void FLUTTER_ASSERT_ARC::CGPathReceiver::SetPathInfo | ( | flutter::DlPathFillType | type,
|  | bool | is_convex
| ) |  |
| inlineoverride

Definition at line 49 of file FlutterPlatformViews.mm.

49 {
50 // CGPaths do not have an inherit fill type, we would need to remember
51 // the fill type and employ it when we use the path.
52 // see https://github.com/flutter/flutter/issues/164826
53 }

## ◆ TakePath()

CGMutablePathRef FLUTTER_ASSERT_ARC::CGPathReceiver::TakePath | ( |  | ) |
| inline

Definition at line 72 of file FlutterPlatformViews.mm.

72 { return path_ref_; }

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews.mm